ajayyy/SponsorBlock 软件分析报告

基础信息

项目名称:ajayyy/SponsorBlock

项目徽章:

Security Status

仓库地址:https://github.com/pterodactyl/panel

检测报告地址:https://www.murphysec.com/console/report/1758157282236125184/1758157282282262528

此报告由Murphysec提供

漏洞列表

漏洞名称 漏洞类型 MPS编号 CVE编号 漏洞等级
node-semver 安全漏洞 ReDoS MPS-2022-5166 CVE-2022-25883 高危
tough-cookie 安全漏洞 原型污染 MPS-2023-5130 CVE-2023-26136 严重
chromedriver 安全漏洞 OS命令注入 MPS-2023-5150 CVE-2023-26156 高危
follow-redirects 输入验证不恰当 MPS-2023-5153 CVE-2023-26159 高危
Webpack 安全漏洞 MPS-2023-7721 CVE-2023-28154 严重
request SSRF防御绕过漏洞 SSRF MPS-2023-7722 CVE-2023-28155 中危
tough-cookie 原型污染 MPS-esyq-56vx 中危
PostCSS 安全漏洞 注入 MPS-y3tx-jzms CVE-2023-44270 中危

缺陷组件

组件名称 版本 最小修复版本 依赖关系 修复建议
follow-redirects 1.15.3 1.15.4 间接依赖 强烈建议修复
webpack 5.75.0 5.76.0 直接依赖 建议修复
chromedriver 110.0.0 119.0.1 直接依赖 建议修复
tough-cookie 4.1.2 4.1.3 间接依赖 建议修复
semver 6.3.0 7.5.2 间接依赖 可选修复
postcss 8.4.21 8.4.31 间接依赖 可选修复
request 2.88.2 间接依赖 可选修复

许可证风险

许可证类型 相关组件 许可证风险
MIT 629
ISC 41
BSD-2-Clause 24
BSD-3-Clause 25
Unlicense 3
Apache-2.0 30
MPL-2.0 6
CC-BY-4.0 1
BSD 1
CC0-1.0 1

SBOM清单

组件名称 组件版本 是否直接依赖 仓库
schema-utils 4.0.0 间接依赖 npm
@jridgewell/resolve-uri 3.1.1 间接依赖 npm
split2 4.2.0 间接依赖 npm
deep-is 0.1.3 间接依赖 npm
@types/babel__core 7.20.0 间接依赖 npm
supports-preserve-symlinks-flag 1.0.0 直接依赖 npm
function-bind 1.1.1 间接依赖 npm
@humanwhocodes/module-importer 1.0.1 间接依赖 npm
for-each 0.3.3 间接依赖 npm
os-shim 0.1.3 间接依赖 npm
shellwords 0.1.1 间接依赖 npm
fd-slicer 1.1.0 间接依赖 npm
stream-to-promise 3.0.0 间接依赖 npm
@babel/plugin-syntax-top-level-await 7.14.5 间接依赖 npm
immediate 3.0.6 间接依赖 npm
@jest/expect 29.5.0 间接依赖 npm
process-warning 2.2.0 间接依赖 npm
latest-version 7.0.0 间接依赖 npm
abort-controller 3.0.0 直接依赖 npm
@babel/helper-split-export-declaration 7.22.6 间接依赖 npm
@webassemblyjs/floating-point-hex-parser 1.11.1 间接依赖 npm
cheerio-select 2.1.0 间接依赖 npm
make-error 1.3.6 间接依赖 npm
@jest/test-sequencer 29.5.0 间接依赖 npm
pend 1.2.0 间接依赖 npm
@types/ws 8.5.3 间接依赖 npm
node-notifier 10.0.1 间接依赖 npm
promise-toolbox 0.21.0 间接依赖 npm
tmpl 1.0.5 间接依赖 npm
type-fest 0.21.3 间接依赖 npm
babel-jest 29.5.0 间接依赖 npm
fs-monkey 1.0.3 间接依赖 npm
node-forge 1.3.1 间接依赖 npm
querystringify 2.2.0 间接依赖 npm
@jest/transform 29.5.0 间接依赖 npm
@typescript-eslint/scope-manager 5.54.1 间接依赖 npm
babel-plugin-istanbul 6.1.1 间接依赖 npm
@webassemblyjs/helper-numbers 1.11.1 间接依赖 npm
rxjs 7.5.6 间接依赖 npm
css-select 5.1.0 间接依赖 npm
jsonfile 6.1.0 间接依赖 npm
clone 1.0.4 间接依赖 npm
columnify 1.6.0 间接依赖 npm
lie 3.3.0 间接依赖 npm
@jest/environment 29.5.0 间接依赖 npm
eslint 8.36.0 间接依赖 npm
common-tags 1.8.2 间接依赖 npm
@webassemblyjs/helper-buffer 1.11.1 间接依赖 npm
isobject 3.0.1 间接依赖 npm
acorn-globals 7.0.1 间接依赖 npm
concat-map 0.0.1 间接依赖 npm
jest-runtime 29.5.0 间接依赖 npm
mz 2.7.0 间接依赖 npm
@xtuc/ieee754 1.2.0 间接依赖 npm
whatwg-mimetype 3.0.0 间接依赖 npm
http2-wrapper 2.1.11 间接依赖 npm
ansi-escapes 4.3.2 间接依赖 npm
levn 0.3.0 间接依赖 npm
@webassemblyjs/utf8 1.11.1 间接依赖 npm
regenerator-runtime 0.13.11 间接依赖 npm
pino-std-serializers 6.2.0 间接依赖 npm
event-target-shim 5.0.1 间接依赖 npm
wrap-ansi 7.0.0 间接依赖 npm
@bcoe/v8-coverage 0.2.3 间接依赖 npm
istanbul-lib-coverage 3.2.0 间接依赖 npm
picomatch 2.3.1 间接依赖 npm
estraverse 4.3.0 间接依赖 npm
real-require 0.2.0 间接依赖 npm
callsites 3.1.0 间接依赖 npm
@sindresorhus/is 5.3.0 间接依赖 npm
jest-resolve 29.5.0 间接依赖 npm
is-absolute 0.1.7 直接依赖 npm
signal-exit 3.0.7 间接依赖 npm
jest-haste-map 29.5.0 间接依赖 npm
stack-utils 2.0.5 间接依赖 npm
jose 4.13.1 间接依赖 npm
jsesc 2.5.2 间接依赖 npm
strip-bom 4.0.0 间接依赖 npm
serialize-javascript 6.0.0 间接依赖 npm
@babel/plugin-syntax-jsx 7.18.6 间接依赖 npm
lcid 3.1.1 间接依赖 npm
react 18.2.0 直接依赖 npm
picocolors 1.0.0 间接依赖 npm
yauzl 2.10.0 间接依赖 npm
es6-error 4.1.1 间接依赖 npm
object-keys 1.1.1 间接依赖 npm
is-ci 3.0.1 间接依赖 npm
agent-base 6.0.2 间接依赖 npm
ajv-keywords 3.5.2 间接依赖 npm
eslint-utils 3.0.0 间接依赖 npm
atomic-sleep 1.0.0 间接依赖 npm
define-lazy-prop 2.0.0 间接依赖 npm
randombytes 2.1.0 间接依赖 npm
eslint-plugin-react 7.32.2 直接依赖 npm
typedarray 0.0.6 间接依赖 npm
jest-environment-jsdom 29.5.0 直接依赖 npm
fill-range 7.0.1 间接依赖 npm
lru-cache 6.0.0 间接依赖 npm
whatwg-encoding 2.0.0 间接依赖 npm
@webassemblyjs/wasm-parser 1.11.1 间接依赖 npm
jest-runner 29.5.0 间接依赖 npm
defaults 1.0.4 间接依赖 npm
cheerio 1.0.0-rc.12 间接依赖 npm
babel-preset-jest 29.5.0 间接依赖 npm
content-scripts-register-polyfill 4.0.2 直接依赖 npm
es-module-lexer 0.9.3 间接依赖 npm
fork-ts-checker-webpack-plugin 7.3.0 直接依赖 npm
reusify 1.0.4 间接依赖 npm
p-try 2.2.0 间接依赖 npm
decamelize 6.0.0 间接依赖 npm
jest-message-util 29.5.0 间接依赖 npm
@types/firefox-webext-browser 111.0.0 直接依赖 npm
aws4 1.12.0 间接依赖 npm
sonic-boom 3.3.0 间接依赖 npm
jsdom 20.0.1 间接依赖 npm
is-weakref 1.0.2 间接依赖 npm
is-boolean-object 1.1.2 间接依赖 npm
ts-node 10.9.1 直接依赖 npm
addons-linter 5.32.0 间接依赖 npm
tough-cookie 4.1.2 间接依赖 npm
htmlparser2 8.0.2 间接依赖 npm
isstream 0.1.2 间接依赖 npm
path-type 4.0.0 间接依赖 npm
grapheme-splitter 1.0.4 间接依赖 npm
https-proxy-agent 5.0.1 间接依赖 npm
has-yarn 3.0.0 间接依赖 npm
require-directory 2.1.1 间接依赖 npm
@webassemblyjs/helper-wasm-bytecode 1.11.1 间接依赖 npm
jws 3.2.2 间接依赖 npm
bluebird 3.7.2 间接依赖 npm
@babel/helper-function-name 7.23.0 间接依赖 npm
map-age-cleaner 0.1.3 间接依赖 npm
ws 8.13.0 间接依赖 npm
tree-kill 1.2.2 间接依赖 npm
is-typedarray 1.0.0 间接依赖 npm
jest-leak-detector 29.5.0 间接依赖 npm
is-plain-object 2.0.4 间接依赖 npm
human-signals 2.1.0 间接依赖 npm
@babel/plugin-syntax-async-generators 7.8.4 间接依赖 npm
@types/stack-utils 2.0.1 间接依赖 npm
flatted 3.2.0 间接依赖 npm
expect 29.5.0 间接依赖 npm
caniuse-lite 1.0.30001418 间接依赖 npm
to-fast-properties 2.0.0 间接依赖 npm
interpret 2.2.0 间接依赖 npm
globals 11.12.0 间接依赖 npm
queue-microtask 1.2.3 间接依赖 npm
performance-now 2.1.0 间接依赖 npm
@xtuc/long 4.2.2 间接依赖 npm
psl 1.9.0 间接依赖 npm
resolve 1.20.0 间接依赖 npm
any-promise 1.3.0 间接依赖 npm
is-negative-zero 2.0.2 间接依赖 npm
loose-envify 1.4.0 间接依赖 npm
tr46 3.0.0 间接依赖 npm
browserslist 4.21.4 间接依赖 npm
jest-validate 29.5.0 间接依赖 npm
@babel/plugin-syntax-numeric-separator 7.10.4 间接依赖 npm
jest-environment-node 29.5.0 间接依赖 npm
run-parallel 1.2.0 间接依赖 npm
cjs-module-lexer 1.2.2 间接依赖 npm
ncp 2.0.0 间接依赖 npm
nanoid 3.3.6 间接依赖 npm
@babel/plugin-syntax-optional-catch-binding 7.8.3 间接依赖 npm
tapable 2.2.1 间接依赖 npm
@ampproject/remapping 2.2.0 间接依赖 npm
dot-prop 6.0.1 间接依赖 npm
collect-v8-coverage 1.0.1 间接依赖 npm
source-map-support 0.5.21 间接依赖 npm
dir-glob 3.0.1 间接依赖 npm
pupa 3.1.0 间接依赖 npm
@types/eslint-scope 3.7.3 间接依赖 npm
merge2 1.4.1 间接依赖 npm
glob 7.2.0 间接依赖 npm
get-symbol-description 1.0.0 间接依赖 npm
path-scurry 1.6.1 直接依赖 npm
is-installed-globally 0.4.0 间接依赖 npm
bser 2.1.1 间接依赖 npm
es-to-primitive 1.2.1 间接依赖 npm
lodash 4.17.21 间接依赖 npm
require-from-string 2.0.2 直接依赖 npm
whatwg-url 11.0.0 间接依赖 npm
@tsconfig/node10 1.0.8 间接依赖 npm
@types/babel__traverse 7.18.2 间接依赖 npm
asn1 0.2.6 间接依赖 npm
core-js 3.29.0 间接依赖 npm
which-typed-array 1.1.9 间接依赖 npm
globby 11.1.0 间接依赖 npm
detect-newline 3.1.0 间接依赖 npm
jest-diff 29.5.0 间接依赖 npm
process-nextick-args 2.0.1 间接依赖 npm
combined-stream 1.0.8 间接依赖 npm
chrome-trace-event 1.0.2 间接依赖 npm
node-releases 2.0.6 间接依赖 npm
@nodelib/fs.scandir 2.1.5 间接依赖 npm
terser 5.14.2 间接依赖 npm
typed-array-length 1.0.4 间接依赖 npm
resolve-cwd 3.0.0 间接依赖 npm
is-arrayish 0.2.1 间接依赖 npm
@types/react 18.0.28 间接依赖 npm
http-proxy-agent 5.0.0 间接依赖 npm
is-wsl 2.2.0 间接依赖 npm
imurmurhash 0.1.4 间接依赖 npm
web-streams-polyfill 3.2.1 间接依赖 npm
inflight 1.0.6 间接依赖 npm
punycode 2.1.1 间接依赖 npm
prelude-ls 1.1.2 间接依赖 npm
glob-to-regexp 0.4.1 间接依赖 npm
@jest/core 29.5.0 间接依赖 npm
is-path-inside 3.0.3 间接依赖 npm
esrecurse 4.3.0 间接依赖 npm
spawn-command 0.0.2-1 间接依赖 npm
fast-levenshtein 2.0.6 间接依赖 npm
ieee754 1.2.1 间接依赖 npm
@babel/code-frame 7.22.13 间接依赖 npm
safe-buffer 5.2.1 间接依赖 npm
is-core-module 2.11.0 间接依赖 npm
@types/selenium-webdriver 4.1.13 直接依赖 npm
regexpp 3.2.0 间接依赖 npm
inherits 2.0.4 间接依赖 npm
is-yarn-global 0.4.0 间接依赖 npm
prompts 2.4.2 间接依赖 npm
multimatch 6.0.0 间接依赖 npm
sax 1.2.4 间接依赖 npm
source-map 0.6.1 间接依赖 npm
execa 5.1.1 间接依赖 npm
test-exclude 6.0.0 间接依赖 npm
kleur 3.0.3 间接依赖 npm
axios 1.6.1 间接依赖 npm
resolve-from 5.0.0 间接依赖 npm
graceful-readlink 1.0.1 直接依赖 npm
form-data-encoder 2.1.4 间接依赖 npm
@tootallnate/once 2.0.0 间接依赖 npm
is-glob 4.0.3 间接依赖 npm
nan 2.15.0 间接依赖 npm
string.prototype.matchall 4.0.8 间接依赖 npm
esquery 1.5.0 间接依赖 npm
es-set-tostringtag 2.0.1 间接依赖 npm
@babel/helper-hoist-variables 7.22.5 间接依赖 npm
y18n 5.0.8 间接依赖 npm
@types/prettier 2.7.2 间接依赖 npm
@jest/source-map 29.4.3 间接依赖 npm
shallow-clone 3.0.1 间接依赖 npm
@discoveryjs/json-ext 0.5.6 间接依赖 npm
@types/filewriter 0.0.28 间接依赖 npm
jest-docblock 29.4.3 间接依赖 npm
jest-pnp-resolver 1.2.3 间接依赖 npm
@babel/helper-compilation-targets 7.19.3 间接依赖 npm
@types/yargs-parser 21.0.0 间接依赖 npm
csstype 3.0.10 间接依赖 npm
terser-webpack-plugin 5.3.1 间接依赖 npm
process 0.11.10 直接依赖 npm
webidl-conversions 7.0.0 间接依赖 npm
json5 2.2.3 间接依赖 npm
wrappy 1.0.2 间接依赖 npm
yocto-queue 0.1.0 直接依赖 npm
at-least-node 1.0.0 直接依赖 npm
@jest/expect-utils 29.5.0 间接依赖 npm
cssom 0.5.0 间接依赖 npm
sprintf-js 1.0.3 间接依赖 npm
is-string 1.0.7 间接依赖 npm
jest 29.5.0 直接依赖 npm
@devicefarmer/adbkit-logcat 2.1.2 间接依赖 npm
jest-get-type 29.4.3 间接依赖 npm
json-stringify-safe 5.0.1 间接依赖 npm
isexe 2.0.0 间接依赖 npm
buffer-from 1.1.1 间接依赖 npm
proxy-from-env 1.1.0 间接依赖 npm
tslib 1.10.0 间接依赖 npm
jszip 3.10.0 间接依赖 npm
@jest/schemas 29.4.3 间接依赖 npm
chalk 2.4.2 间接依赖 npm
pretty-format 29.5.0 间接依赖 npm
@istanbuljs/schema 0.1.3 间接依赖 npm
makeerror 1.0.12 间接依赖 npm
is-callable 1.2.7 间接依赖 npm
strip-bom-stream 4.0.0 直接依赖 npm
parse5 7.1.1 间接依赖 npm
supports-color 5.5.0 间接依赖 npm
fx-runner 1.3.0 间接依赖 npm
xmlchars 2.2.0 间接依赖 npm
webext-polyfill-kinda 1.0.2 间接依赖 npm
first-chunk-stream 3.0.0 间接依赖 npm
compare-versions 5.0.3 间接依赖 npm
parent-module 1.0.1 间接依赖 npm
@babel/plugin-syntax-optional-chaining 7.8.3 间接依赖 npm
has-symbols 1.0.3 间接依赖 npm
graceful-fs 4.2.10 间接依赖 npm
shebang-command 2.0.0 间接依赖 npm
@webpack-cli/serve 1.7.0 间接依赖 npm
node-int64 0.4.0 间接依赖 npm
@types/json-schema 7.0.9 间接依赖 npm
extract-zip 2.0.1 间接依赖 npm
natural-compare-lite 1.4.0 间接依赖 npm
@sinonjs/commons 2.0.0 间接依赖 npm
jest-circus 29.5.0 间接依赖 npm
safer-buffer 2.1.2 间接依赖 npm
acorn-jsx 5.3.2 间接依赖 npm
@jridgewell/gen-mapping 0.1.1 间接依赖 npm
lowercase-keys 3.0.0 间接依赖 npm
array-differ 4.0.0 间接依赖 npm
jest-each 29.5.0 间接依赖 npm
ansi-styles 3.2.1 间接依赖 npm
onetime 5.1.2 间接依赖 npm
balanced-match 1.0.0 间接依赖 npm
@babel/types 7.23.0 间接依赖 npm
is-shared-array-buffer 1.0.2 间接依赖 npm
js-yaml 3.14.1 间接依赖 npm
istanbul-lib-report 3.0.0 间接依赖 npm
relaxed-json 1.0.3 间接依赖 npm
@types/istanbul-lib-coverage 2.0.4 间接依赖 npm
clone-deep 4.0.1 间接依赖 npm
postcss 8.4.21 间接依赖 npm
@pnpm/npm-conf 1.0.4 间接依赖 npm
doctrine 3.0.0 间接依赖 npm
cssstyle 2.3.0 间接依赖 npm
es6-promisify 7.0.0 间接依赖 npm
typescript 4.9.5 直接依赖 npm
side-channel 1.0.4 间接依赖 npm
once 1.4.0 间接依赖 npm
yn 3.1.1 间接依赖 npm
addons-moz-compare 1.3.0 间接依赖 npm
is-url 1.2.4 间接依赖 npm
end-of-stream 1.4.4 间接依赖 npm
thenify-all 1.6.0 间接依赖 npm
v8-compile-cache-lib 3.0.1 间接依赖 npm
data-uri-to-buffer 4.0.1 间接依赖 npm
winreg 0.0.12 间接依赖 npm
@tsconfig/node16 1.0.2 间接依赖 npm
eslint-scope 5.1.1 间接依赖 npm
string.prototype.trimstart 1.0.6 间接依赖 npm
@typescript-eslint/parser 5.54.1 直接依赖 npm
adm-zip 0.5.10 间接依赖 npm
sha.js 2.4.11 间接依赖 npm
@jest/fake-timers 29.5.0 间接依赖 npm
iconv-lite 0.6.3 间接依赖 npm
registry-url 6.0.1 间接依赖 npm
is-symbol 1.0.4 间接依赖 npm
glob-parent 5.1.2 间接依赖 npm
saxes 6.0.0 间接依赖 npm
jed 1.1.1 间接依赖 npm
cosmiconfig 7.0.1 间接依赖 npm
asynckit 0.4.0 间接依赖 npm
delayed-stream 1.0.0 间接依赖 npm
normalize-path 3.0.0 间接依赖 npm
istanbul-lib-instrument 5.2.1 间接依赖 npm
yaml 1.10.2 间接依赖 npm
quick-format-unescaped 4.0.4 间接依赖 npm
write-file-atomic 3.0.3 间接依赖 npm
os-locale 5.0.0 间接依赖 npm
flat-cache 3.0.4 间接依赖 npm
boxen 7.0.0 间接依赖 npm
memfs 3.4.1 间接依赖 npm
got 12.5.3 间接依赖 npm
@babel/helper-simple-access 7.18.6 间接依赖 npm
color-convert 1.9.3 间接依赖 npm
on-exit-leak-free 2.1.0 间接依赖 npm
lines-and-columns 1.2.4 间接依赖 npm
typedarray-to-buffer 3.1.5 间接依赖 npm
rechoir 0.7.1 间接依赖 npm
kind-of 6.0.3 间接依赖 npm
ip-regex 4.3.0 间接依赖 npm
which 2.0.2 间接依赖 npm
@types/babel__generator 7.6.4 间接依赖 npm
parse-json 5.2.0 间接依赖 npm
get-intrinsic 1.2.0 间接依赖 npm
selenium-webdriver 4.8.1 直接依赖 npm
strip-final-newline 2.0.0 间接依赖 npm
cross-spawn 7.0.3 间接依赖 npm
lighthouse-logger 1.3.0 间接依赖 npm
@typescript-eslint/eslint-plugin 5.54.1 直接依赖 npm
fsevents 2.3.2 间接依赖 npm
jsx-ast-utils 3.1.0 间接依赖 npm
nwsapi 2.2.2 间接依赖 npm
is-potential-custom-element-name 1.0.1 间接依赖 npm
file-entry-cache 6.0.1 间接依赖 npm
is-date-object 1.0.5 间接依赖 npm
@eslint/eslintrc 2.0.2 间接依赖 npm
boolbase 1.0.0 间接依赖 npm
@types/node 14.0.27 间接依赖 npm
buffer-equal-constant-time 1.0.1 间接依赖 npm
parse5-htmlparser2-tree-adapter 7.0.0 间接依赖 npm
safe-json-stringify 1.2.0 间接依赖 npm
@webpack-cli/configtest 1.2.0 间接依赖 npm
har-schema 2.0.0 间接依赖 npm
electron-to-chromium 1.4.275 间接依赖 npm
js-tokens 4.0.0 间接依赖 npm
jsonwebtoken 9.0.0 间接依赖 npm
object.values 1.1.6 间接依赖 npm
is-npm 6.0.0 间接依赖 npm
jest-worker 27.5.1 间接依赖 npm
@babel/traverse 7.23.2 间接依赖 npm
locate-path 5.0.0 间接依赖 npm
webpack-merge 5.8.0 间接依赖 npm
convert-source-map 1.8.0 间接依赖 npm
string-width 4.2.3 间接依赖 npm
text-table 0.2.0 间接依赖 npm
is-number 7.0.0 间接依赖 npm
domutils 3.0.1 间接依赖 npm
@webassemblyjs/wasm-edit 1.11.1 间接依赖 npm
@babel/plugin-syntax-typescript 7.20.0 间接依赖 npm
@mdn/browser-compat-data 5.2.42 间接依赖 npm
ignore 5.2.0 间接依赖 npm
@webassemblyjs/wasm-gen 1.11.1 间接依赖 npm
yargs 17.7.1 间接依赖 npm
@eslint-community/regexpp 4.5.0 间接依赖 npm
@devicefarmer/adbkit 3.2.3 间接依赖 npm
@jridgewell/sourcemap-codec 1.4.15 间接依赖 npm
tweetnacl 0.14.5 间接依赖 npm
@eslint-community/eslint-utils 4.4.0 间接依赖 npm
xml2js 0.5.0 间接依赖 npm
slash 3.0.0 间接依赖 npm
jest-watcher 29.5.0 间接依赖 npm
type-check 0.3.2 间接依赖 npm
stream-to-array 2.3.0 间接依赖 npm
responselike 3.0.0 间接依赖 npm
aws-sign2 0.7.0 间接依赖 npm
pako 1.0.10 间接依赖 npm
jsbn 0.1.1 间接依赖 npm
@babel/compat-data 7.19.3 间接依赖 npm
mem 5.1.1 间接依赖 npm
co 4.6.0 间接依赖 npm
@babel/helper-string-parser 7.22.5 间接依赖 npm
@types/yargs 17.0.13 间接依赖 npm
p-limit 2.3.0 间接依赖 npm
istanbul-lib-source-maps 4.0.1 间接依赖 npm
qs 6.5.3 间接依赖 npm
is-extglob 2.1.1 间接依赖 npm
emittery 0.13.1 间接依赖 npm
rimraf 4.3.1 间接依赖 npm
jsprim 1.4.2 间接依赖 npm
char-regex 1.0.2 间接依赖 npm
nth-check 2.1.1 间接依赖 npm
source-map-js 1.0.2 间接依赖 npm
fs.realpath 1.0.0 间接依赖 npm
error-ex 1.3.2 间接依赖 npm
npm-run-path 4.0.1 间接依赖 npm
arg 4.1.3 间接依赖 npm
base64-js 1.5.1 间接依赖 npm
@types/scheduler 0.16.2 间接依赖 npm
@webpack-cli/info 1.5.0 间接依赖 npm
is2 2.0.7 间接依赖 npm
bs-logger 0.2.6 间接依赖 npm
getpass 0.1.7 间接依赖 npm
mime-types 2.1.34 间接依赖 npm
has-bigints 1.0.2 间接依赖 npm
jest-config 29.5.0 间接依赖 npm
jest-resolve-dependencies 29.5.0 间接依赖 npm
espree 9.5.0 间接依赖 npm
jest-util 29.5.0 间接依赖 npm
ts-jest 29.0.5 直接依赖 npm
escape-goat 4.0.0 间接依赖 npm
array-includes 3.1.6 间接依赖 npm
events 3.3.0 间接依赖 npm
@types/jsdom 20.0.0 间接依赖 npm
@babel/helper-plugin-utils 7.19.0 间接依赖 npm
has-tostringtag 1.0.0 间接依赖 npm
fastq 1.8.0 间接依赖 npm
follow-redirects 1.15.3 间接依赖 npm
decimal.js 10.4.1 间接依赖 npm
update-notifier 6.0.2 间接依赖 npm
loader-runner 4.2.0 间接依赖 npm
p-defer 1.0.0 间接依赖 npm
caseless 0.12.0 间接依赖 npm
react-is 16.13.1 间接依赖 npm
@types/semver 7.3.13 间接依赖 npm
wcwidth 1.0.1 间接依赖 npm
to-regex-range 5.0.1 间接依赖 npm
cliui 8.0.1 间接依赖 npm
ajv 6.12.6 间接依赖 npm
@types/eslint 8.4.1 间接依赖 npm
@typescript-eslint/visitor-keys 5.54.1 间接依赖 npm
leven 3.1.0 间接依赖 npm
define-properties 1.1.4 间接依赖 npm
webpack 5.75.0 直接依赖 npm
readable-stream 2.3.7 间接依赖 npm
ecc-jsbn 0.1.2 间接依赖 npm
ini 2.0.0 间接依赖 npm
@babel/plugin-syntax-class-properties 7.12.13 间接依赖 npm
function.prototype.name 1.1.5 间接依赖 npm
create-require 1.1.1 间接依赖 npm
html-encoding-sniffer 3.0.0 间接依赖 npm
wildcard 2.0.0 间接依赖 npm
type-detect 4.0.8 间接依赖 npm
@types/istanbul-lib-report 3.0.0 间接依赖 npm
request 2.88.2 间接依赖 npm
es-shim-unscopables 1.0.0 间接依赖 npm
@babel/core 7.19.3 间接依赖 npm
xmlbuilder 11.0.1 间接依赖 npm
argparse 1.0.10 间接依赖 npm
abab 2.0.6 间接依赖 npm
has-proto 1.0.1 间接依赖 npm
lodash.merge 4.6.2 间接依赖 npm
forever-agent 0.6.1 间接依赖 npm
xml-name-validator 4.0.0 间接依赖 npm
is-bigint 1.0.4 间接依赖 npm
@jridgewell/trace-mapping 0.3.20 间接依赖 npm
util-deprecate 1.0.2 间接依赖 npm
eastasianwidth 0.2.0 直接依赖 npm
camelcase 5.3.1 间接依赖 npm
@jest/types 29.5.0 间接依赖 npm
@types/wicg-mediasession 1.1.4 直接依赖 npm
har-validator 5.1.5 间接依赖 npm
xdg-basedir 5.1.0 间接依赖 npm
core-util-is 1.0.2 间接依赖 npm
is-array-buffer 3.0.1 间接依赖 npm
jest-mock 29.5.0 间接依赖 npm
strip-ansi 6.0.1 间接依赖 npm
node-abort-controller 3.0.1 间接依赖 npm
object.assign 4.1.4 间接依赖 npm
chokidar 3.5.3 间接依赖 npm
exit 0.1.2 间接依赖 npm
import-local 3.1.0 间接依赖 npm
@sinonjs/fake-timers 10.0.2 间接依赖 npm
@babel/plugin-syntax-nullish-coalescing-operator 7.8.3 间接依赖 npm
which-boxed-primitive 1.0.2 间接依赖 npm
domhandler 5.0.3 间接依赖 npm
spawn-sync 1.0.15 间接依赖 npm
extsprintf 1.3.0 间接依赖 npm
@typescript-eslint/utils 5.54.1 间接依赖 npm
brace-expansion 1.1.11 间接依赖 npm
@babel/helper-validator-option 7.18.6 间接依赖 npm
diff 4.0.2 间接依赖 npm
@types/parse-json 4.0.0 间接依赖 npm
through 2.3.8 间接依赖 npm
@jest/console 29.5.0 间接依赖 npm
escape-string-regexp 1.0.5 间接依赖 npm
p-locate 4.1.0 间接依赖 npm
strip-bom-buf 2.0.0 间接依赖 npm
@babel/runtime 7.21.0 间接依赖 npm
js-sdsl 4.1.5 间接依赖 npm
css-what 6.1.0 间接依赖 npm
dashdash 1.14.1 间接依赖 npm
@babel/plugin-syntax-logical-assignment-operators 7.10.4 间接依赖 npm
sign-addon 5.3.0 间接依赖 npm
thread-stream 2.3.0 间接依赖 npm
enhanced-resolve 5.10.0 间接依赖 npm
@sinclair/typebox 0.25.24 间接依赖 npm
envinfo 7.8.1 间接依赖 npm
@eslint/js 8.36.0 间接依赖 npm
marky 1.2.5 间接依赖 npm
@cspotcode/source-map-support 0.8.1 间接依赖 npm
widest-line 4.0.1 间接依赖 npm
node-domexception 1.0.0 间接依赖 npm
jest-regex-util 29.4.3 间接依赖 npm
deepcopy 2.1.0 间接依赖 npm
commander 2.20.3 间接依赖 npm
@webassemblyjs/ast 1.11.1 间接依赖 npm
fast-redact 3.1.2 间接依赖 npm
deepmerge 4.3.1 间接依赖 npm
@types/jest 29.4.0 直接依赖 npm
natural-compare 1.4.0 间接依赖 npm
@babel/template 7.22.15 间接依赖 npm
@tsconfig/node12 1.0.9 间接依赖 npm
debounce 1.2.1 间接依赖 npm
resolve.exports 2.0.1 间接依赖 npm
tcp-port-used 1.0.2 间接依赖 npm
semver 6.3.0 间接依赖 npm
concurrently 7.6.0 直接依赖 npm
jwa 1.4.1 间接依赖 npm
rc 1.2.8 间接依赖 npm
@types/prop-types 15.7.3 间接依赖 npm
@types/estree 0.0.51 间接依赖 npm
v8-to-istanbul 9.1.0 间接依赖 npm
node-fetch 3.3.1 间接依赖 npm
uri-js 4.2.2 间接依赖 npm
acorn-walk 8.2.0 间接依赖 npm
@typescript-eslint/typescript-estree 5.54.1 间接依赖 npm
crypto-random-string 4.0.0 间接依赖 npm
es-abstract 1.21.1 间接依赖 npm
walker 1.0.8 间接依赖 npm
string-length 4.0.2 间接依赖 npm
pure-rand 6.0.0 间接依赖 npm
tunnel-agent 0.6.0 间接依赖 npm
@webassemblyjs/wasm-opt 1.11.1 间接依赖 npm
@types/istanbul-reports 3.0.1 间接依赖 npm
path-exists 4.0.0 间接依赖 npm
ajv-formats 2.1.1 间接依赖 npm
object.entries 1.1.6 间接依赖 npm
@types/filesystem 0.0.29 间接依赖 npm
is-relative 0.1.3 间接依赖 npm
bcrypt-pbkdf 1.0.2 间接依赖 npm
babel-plugin-jest-hoist 29.5.0 间接依赖 npm
is-regex 1.1.4 间接依赖 npm
object.hasown 1.1.2 间接依赖 npm
@babel/plugin-syntax-object-rest-spread 7.8.3 间接依赖 npm
merge-stream 2.0.0 间接依赖 npm
react-dom 18.2.0 直接依赖 npm
is-stream 2.0.1 间接依赖 npm
find-up 4.1.0 间接依赖 npm
@types/tough-cookie 4.0.2 间接依赖 npm
configstore 6.0.0 间接依赖 npm
@babel/plugin-syntax-import-meta 7.10.4 间接依赖 npm
@webassemblyjs/helper-wasm-section 1.11.1 间接依赖 npm
cli-boxes 3.0.0 间接依赖 npm
is-generator-fn 2.1.0 间接依赖 npm
thenify 3.3.1 间接依赖 npm
dtrace-provider 0.8.8 间接依赖 npm
assert-plus 1.0.0 间接依赖 npm
array.prototype.tosorted 1.1.1 间接依赖 npm
data-urls 3.0.2 间接依赖 npm
emoji-regex 8.0.0 间接依赖 npm
p-cancelable 3.0.0 间接依赖 npm
acorn 8.8.0 间接依赖 npm
is-mergeable-object 1.1.1 间接依赖 npm
@webassemblyjs/helper-api-error 1.11.1 间接依赖 npm
@babel/parser 7.23.0 间接依赖 npm
available-typed-arrays 1.0.5 间接依赖 npm
json-merge-patch 1.0.2 间接依赖 npm
verror 1.10.0 间接依赖 npm
html-escaper 2.0.2 间接依赖 npm
array.prototype.flatmap 1.3.1 间接依赖 npm
@jridgewell/set-array 1.1.1 间接依赖 npm
diff-sequences 29.4.3 间接依赖 npm
@types/minimatch 3.0.5 间接依赖 npm
watchpack 2.4.0 间接依赖 npm
word-wrap 1.2.4 间接依赖 npm
ci-info 3.3.2 间接依赖 npm
@jest/test-result 29.5.0 间接依赖 npm
fb-watchman 2.0.2 间接依赖 npm
json-stable-stringify-without-jsonify 1.0.1 间接依赖 npm
pirates 4.0.5 间接依赖 npm
@szmarczak/http-timer 5.0.1 间接依赖 npm
mimic-fn 2.1.0 间接依赖 npm
pino-abstract-transport 1.0.0 间接依赖 npm
@webassemblyjs/leb128 1.11.1 间接依赖 npm
esutils 2.0.3 间接依赖 npm
@jridgewell/source-map 0.3.2 间接依赖 npm
ansi-regex 5.0.1 间接依赖 npm
object-inspect 1.12.3 间接依赖 npm
domelementtype 2.3.0 间接依赖 npm
extend 3.0.2 间接依赖 npm
ms 2.1.2 间接依赖 npm
bunyan 1.8.15 间接依赖 npm
@babel/plugin-syntax-json-strings 7.8.3 间接依赖 npm
ecdsa-sig-formatter 1.0.11 间接依赖 npm
neo-async 2.6.2 间接依赖 npm
pino 8.11.0 间接依赖 npm
regexp.prototype.flags 1.4.3 间接依赖 npm
@testim/chrome-version 1.1.4 间接依赖 npm
@nodelib/fs.walk 1.2.8 间接依赖 npm
shebang-regex 3.0.0 间接依赖 npm
functions-have-names 1.2.3 间接依赖 npm
@babel/helper-environment-visitor 7.22.20 间接依赖 npm
growly 1.3.0 间接依赖 npm
prop-types 15.8.1 间接依赖 npm
unique-string 3.0.0 间接依赖 npm
safe-stable-stringify 2.4.3 间接依赖 npm
path-is-absolute 1.0.1 间接依赖 npm
oauth-sign 0.9.0 间接依赖 npm
@humanwhocodes/config-array 0.11.8 间接依赖 npm
debug 4.3.1 间接依赖 npm
array-union 2.1.0 间接依赖 npm
get-stream 6.0.1 间接依赖 npm
get-package-type 0.1.0 间接依赖 npm
invert-kv 3.0.1 间接依赖 npm
universalify 2.0.0 间接依赖 npm
unbox-primitive 1.0.2 间接依赖 npm
setimmediate 1.0.5 间接依赖 npm
chrome-launcher 0.15.1 间接依赖 npm
symbol-tree 3.2.4 间接依赖 npm
firefox-profile 4.3.2 间接依赖 npm
w3c-xmlserializer 3.0.0 间接依赖 npm
gopd 1.0.1 间接依赖 npm
@babel/helpers 7.19.0 间接依赖 npm
has 1.0.3 间接依赖 npm
p-is-promise 2.1.0 间接依赖 npm
safe-regex-test 1.0.0 间接依赖 npm
@humanwhocodes/object-schema 1.2.1 间接依赖 npm
@babel/highlight 7.22.20 间接依赖 npm
copy-webpack-plugin 11.0.0 直接依赖 npm
ts-loader 9.4.2 直接依赖 npm
url-parse 1.5.10 间接依赖 npm
http-signature 1.2.0 间接依赖 npm
webpack-cli 4.10.0 直接依赖 npm
webext-content-scripts 2.5.5 间接依赖 npm
update-browserslist-db 1.0.10 间接依赖 npm
tmp 0.2.1 间接依赖 npm
pump 3.0.0 直接依赖 npm
dom-serializer 2.0.0 间接依赖 npm
@types/graceful-fs 4.1.6 间接依赖 npm
split 1.0.1 间接依赖 npm
minimist 1.2.6 间接依赖 npm
path-key 3.1.1 间接依赖 npm
@typescript-eslint/type-utils 5.54.1 间接依赖 npm
fast-json-stable-stringify 2.1.0 间接依赖 npm
buffer 6.0.3 直接依赖 npm
anymatch 3.1.2 间接依赖 npm
@fluent/syntax 0.19.0 间接依赖 npm
queue 6.0.2 间接依赖 npm
object.fromentries 2.0.6 间接依赖 npm
optionator 0.8.3 间接依赖 npm
@types/yauzl 2.10.0 间接依赖 npm
is-docker 2.2.1 间接依赖 npm
when 3.7.7 间接依赖 npm
tsutils 3.21.0 间接依赖 npm
upath 2.0.1 间接依赖 npm
@babel/helper-validator-identifier 7.22.20 间接依赖 npm
@babel/plugin-syntax-bigint 7.8.3 间接依赖 npm
minimatch 3.1.2 间接依赖 npm
@tsconfig/node14 1.0.1 间接依赖 npm
date-fns 2.29.3 间接依赖 npm
@types/har-format 1.2.8 间接依赖 npm
webext-patterns 1.3.0 间接依赖 npm
string.prototype.trimend 1.0.6 间接依赖 npm
domexception 4.0.0 间接依赖 npm
@istanbuljs/load-nyc-config 1.1.0 间接依赖 npm
eslint-visitor-keys 3.3.0 间接依赖 npm
istanbul-reports 3.1.5 间接依赖 npm
package-json 8.1.0 间接依赖 npm
object-assign 4.1.1 间接依赖 npm
mkdirp 0.5.6 间接依赖 npm
has-property-descriptors 1.0.0 间接依赖 npm
cacheable-request 10.2.7 间接依赖 npm
eslint-plugin-no-unsanitized 4.0.2 间接依赖 npm
json-schema 0.4.0 间接依赖 npm
is-typed-array 1.1.10 间接依赖 npm
color-name 1.1.3 间接依赖 npm
@types/babel__template 7.4.1 间接依赖 npm
fast-json-patch 3.1.1 间接依赖 npm
escodegen 2.0.0 间接依赖 npm
chromedriver 110.0.0 直接依赖 npm
make-dir 3.1.0 间接依赖 npm
jest-cli 29.5.0 间接依赖 npm
entities 4.4.0 间接依赖 npm
fast-deep-equal 3.1.3 间接依赖 npm
concat-stream 1.6.2 间接依赖 npm
jest-snapshot 29.5.0 间接依赖 npm
@babel/generator 7.23.0 间接依赖 npm
global-dirs 3.0.0 间接依赖 npm
@webassemblyjs/ieee754 1.11.1 间接依赖 npm
cacheable-lookup 7.0.0 间接依赖 npm
@nodelib/fs.stat 2.0.5 间接依赖 npm
import-fresh 3.3.0 间接依赖 npm
fastest-levenshtein 1.0.12 间接依赖 npm
jest-matcher-utils 29.5.0 间接依赖 npm
path-parse 1.0.7 间接依赖 npm
gensync 1.0.0-beta.2 间接依赖 npm
web-ext 7.6.2 直接依赖 npm
isarray 1.0.0 间接依赖 npm
jest-changed-files 29.5.0 间接依赖 npm
@jest/globals 29.5.0 间接依赖 npm
@typescript-eslint/types 5.54.1 间接依赖 npm
minipass 4.2.4 间接依赖 npm
json-parse-even-better-errors 2.3.1 间接依赖 npm
zip-dir 2.0.0 间接依赖 npm
fs-extra 10.1.0 间接依赖 npm
internal-slot 1.0.4 间接依赖 npm
fast-glob 3.2.11 间接依赖 npm
mv 2.1.1 间接依赖 npm
uuid 8.3.2 间接依赖 npm
escalade 3.1.1 间接依赖 npm
moment 2.29.4 间接依赖 npm
mime-db 1.51.0 间接依赖 npm
micromatch 4.0.5 间接依赖 npm
@babel/helper-module-transforms 7.19.0 间接依赖 npm
import-lazy 4.0.0 间接依赖 npm
requires-port 1.0.0 间接依赖 npm
open 8.4.2 间接依赖 npm
sisteransi 1.0.5 间接依赖 npm
is-utf8 0.2.1 间接依赖 npm
scheduler 0.23.0 间接依赖 npm
@jest/reporters 29.5.0 间接依赖 npm
yallist 4.0.0 间接依赖 npm
colorette 2.0.16 间接依赖 npm
braces 3.0.2 间接依赖 npm
esprima 4.0.1 间接依赖 npm
globalthis 1.0.3 间接依赖 npm
registry-auth-token 5.0.1 间接依赖 npm
form-data 2.3.3 间接依赖 npm
is-obj 2.0.0 间接依赖 npm
ansi-align 3.0.1 间接依赖 npm
@types/react-dom 18.0.11 直接依赖 npm
is-number-object 1.0.7 间接依赖 npm
fetch-blob 3.2.0 间接依赖 npm
babel-preset-current-node-syntax 1.0.1 间接依赖 npm
get-caller-file 2.0.5 间接依赖 npm
yargs-parser 21.1.1 间接依赖 npm
decompress-response 6.0.0 间接依赖 npm
formdata-polyfill 4.0.10 间接依赖 npm
shell-quote 1.7.3 间接依赖 npm
is-fullwidth-code-point 3.0.0 间接依赖 npm
dedent 0.7.0 间接依赖 npm
@webassemblyjs/wast-printer 1.11.1 间接依赖 npm
semver-diff 4.0.0 间接依赖 npm
has-flag 3.0.0 间接依赖 npm
@babel/helper-module-imports 7.18.6 间接依赖 npm
@types/chrome 0.0.220 直接依赖 npm
@devicefarmer/adbkit-monkey 1.2.1 间接依赖 npm
lodash.memoize 4.1.2 间接依赖 npm
strip-json-comments 3.1.1 间接依赖 npm
buffer-crc32 0.2.13 间接依赖 npm
tosource 1.0.0 间接依赖 npm
call-bind 1.0.2 间接依赖 npm
json-schema-traverse 0.4.1 间接依赖 npm
sshpk 1.17.0 间接依赖 npm
image-size 1.0.2 间接依赖 npm
(0)
上一篇 2024年2月15日
下一篇 2024年2月15日

相关推荐

  • mempool/mempool 软件分析报告

    基础信息 项目名称:mempool/mempool 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1755280108787412992/1755280108829356032 此报告由Murphysec提供 漏洞…

    软件分析 2024年2月8日
    0
  • brandonhamilton/inputtoolbar 软件分析报告

    基础信息 项目名称:brandonhamilton/inputtoolbar 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1716447844759289856/1716447844998365184 此报告由M…

    软件分析 2023年10月23日
    0
  • 9bitStudios/flexisel 软件分析报告

    基础信息 项目名称:9bitStudios/flexisel 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1720486499257987072/1720486499375427584 此报告由Murphysec…

    软件分析 2023年11月4日
    0
  • LAION-AI/Open-Assistant 软件分析报告

    基础信息 项目名称:LAION-AI/Open-Assistant 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1719630075636875264/1719630075703984128 此报告由Murphy…

    软件分析 2023年11月1日
    0
  • inspektor-gadget/inspektor-gadget 软件分析报告

    基础信息 项目名称:inspektor-gadget/inspektor-gadget 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1718828589273186304/1718828589361266688 …

    软件分析 2023年10月30日
    0